//		Copyright © 1997–1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		BAlert-like window for the about box.

#ifndef SAMHAINWINDOW_H
#define SAMHAINWINDOW_H

#include <Message.h>
#include <OS.h>
#include <View.h>
#include <Window.h>

class SamhainWindow : public BWindow
{
	typedef BWindow inherited;
public:
	SamhainWindow(BView *pView, const char *const pLabels[2]);
	virtual ~SamhainWindow(void);
	
	// Hook functions.
	virtual void MessageReceived(BMessage *pMessage);
	virtual bool QuitRequested(void);
	
	// Wait for button press.
	int32 Go(void);
	
private:
	SamhainWindow(const SamhainWindow &orig);
	SamhainWindow &operator =(const SamhainWindow &orig);
	
	// Data members.
	sem_id mButtonSem;
	int32 mWhichButton;
};

#endif
